def = legacy_code('initialize');                                           %创建LCT数据结构
def.SourceFiles = {'doubleIt.c'};                                          %指定C源代码
def.HeaderFiles = {'doubleIt.h'};                                          %指定C头文件
def.SFunctionName = 'wrapsfcn';                                            %指定S函数名
def.OutputFcnSpec = 'double y1 = doubleIt(double u1)';                     %指定输出函数
def.SampleTime = [-1,0];                                                   %指定采样时间为继承
legacy_code('slblock_generate',def);                                       %生成S函数模块
legacy_code('sfcn_cmex_generate',def);                                     %生成 C MEX S 函数
legacy_code('compile',def);                                                %编译 C MEX S 函数
legacy_code('sfcn_tlc_generate',def);                                      %生成TLC文件
